﻿using System;
using System.Collections.Generic;

// Code scaffolded by EF Core assumes nullable reference types (NRTs) are not used or disabled.
// If you have enabled NRTs for your project, then un-comment the following line:
// #nullable disable

namespace Coscine.Database.DataModel
{
    public partial class ExternalAuthenticator
    {
        public ExternalAuthenticator()
        {
            ExternalIds = new HashSet<ExternalId>();
        }

        public Guid Id { get; set; }
        public string DisplayName { get; set; }

        public virtual ICollection<ExternalId> ExternalIds { get; set; }
    }
}
