﻿using System;
using System.Collections.Generic;

// Code scaffolded by EF Core assumes nullable reference types (NRTs) are not used or disabled.
// If you have enabled NRTs for your project, then un-comment the following line:
// #nullable disable

namespace Coscine.Database.DataModel
{
    public partial class Language
    {
        public Language()
        {
            Users = new HashSet<User>();
        }

        public Guid Id { get; set; }
        public string DisplayName { get; set; }
        public string Abbreviation { get; set; }

        public virtual ICollection<User> Users { get; set; }
    }
}
